# Route16

This crate implements fast route planning algorithms in Rust.

### Algorithms

Currently implemented: 
* Contraction Hierarchies:

  The implementation borrows _heavily_ from the excellent [RoutingKit](https://github.com/RoutingKit/RoutingKit) C++ library, with one major exception;
  we implement the graphs using simpler adjacency lists, instead of (faster) edge lists and adjacency arrays.


Coming soon:
* Edge Hierarchies (https://arxiv.org/pdf/1907.03535.pdf)
* Charging Function Propagation (https://arxiv.org/abs/1910.09812)
